Rated 5/5 based on 240179 internet user reviews

Jump to content


Change Photo
- - - - -

[Yu cu] cần hướng dẫn gip gộp file.dcl vo trong file.lsp


  • Please log in to reply
19 replies to this topic

#1 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 19 August 2012 - 11:06 AM

<Cần giúp> muốn gộp file.dcl vào file.lsp thì cần thêm dấu gì vào?
Gửi vào Hôm nay, 12:15 AM
Các anh ơi, cho em hỏi chút là muốn gộp file.dcl vào nội dung của 1 file.lsp thì cần thêm dấu gì vào để nối được vào file lisp ạ!
vì em muốn dùng đơn giản 1 file hơn là copy 2 file đi mọi nơi!
-------------------------
Doan Van Ha
Gửi vào Hôm nay, 08:11 AM
Gộp file DCL vào LSP thì không khó. Vấn đề là bạn biết viết code lisp để load đoạn DCL đó nữa.
Bạn có thể tham khảo rất nhiều file trên forum về vấn đề này.
Hoặc nếu thích chỉ 1 file thì chuyển LSP+DCL thành VLX.
--------------------------------------
em rất muốn biết cách để tích hợp 2 file (.dcl và .lsp) vào 1 file lisp duy nhất để tiện việc quản lý và tổng hợp các lisp vào cho tiện khi load để dùng. khi copy sang may khác cũng dễ dàng hơn.
mong các anh trên diễn đàn giúp em với. (có cách nào để chỉ cần dòng code để đọc phần copy của file.dcl và Paste vào lisp)
cảm ơn các anh nhiều! (em rất sợ lại bị vào thùng rác)
  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 4,463 posts
Danh tiếng: 2128 (tuyệt vời)

Gửi vào 19 August 2012 - 11:14 AM

Tôi khuyên bạn nên chuyển LSP+DCL thành 1 file duy nhất VLX (nếu muốn chỉ dùng 1 file cho thuận tiện). Khi đó bạn chỉ cần load 1 file VLX duy nhất.
Còn việc ghép DCL vào LSP thì phải biết cách code lisp nữa, mỗi file mỗi kiểu. Bạn không biết viết lisp thì sẽ rất khó, còn người biết thì không lẽ cứ mỗi cặp file DCL và LSP lại viết cho bạn 1 code?
  • 1

#3 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 19 August 2012 - 11:25 AM

vậy em có 1 file lisp tổng hợp rồi, vậy em có thể chuyển thêm 1 file .dcl thành 1 file.vlx hay thành 2 file .vlx a?
  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5,165 posts
Danh tiếng: 2358 (tuyệt vời)

Gửi vào 19 August 2012 - 11:28 AM

Trong 1 file VLX có thể chứa rất nhiều file Lsp, file DCL
  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#5 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 4,463 posts
Danh tiếng: 2128 (tuyệt vời)

Gửi vào 19 August 2012 - 11:41 AM

Ket!
Chọn 12 file LSP => OK
Chọn >= 13 file LSP => error???
  • 0

#6 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 19 August 2012 - 11:45 AM

em chuyển sang .vlx rồi nhưng khi dùng lisp chia đất của bác SSG thì nó báo lỗi đoạn (Pick 1 diem, ve phia can chia so voi duong chuan: ; error: quit / exit).
hay nhờ các anh và bác SSG giúp em gộp cái .dcl vào trong lisp cho gọn trong bài này được không a? cảm ơn các anh rất nhiềuhttp://www.cadviet.c..._new_folder.rar
  • 0

#7 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 4,463 posts
Danh tiếng: 2128 (tuyệt vời)

Gửi vào 19 August 2012 - 11:53 AM

Bản chất file LSP của bạn đã bị lỗi trước. Bạn thử load file LSP sẽ thấy báo lỗi ngay.
  • 1

#8 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 19 August 2012 - 08:47 PM

Bản chất file LSP của bạn đã bị lỗi trước. Bạn thử load file LSP sẽ thấy báo lỗi ngay.

em thấy load chạy vẫn mượt và ổn định, em không biết lỗi ở đâu cả! nếu có đoạn nào thiếu do em copy không hết anh thêm giúp em với nhe!
  • 0

#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 4,463 posts
Danh tiếng: 2128 (tuyệt vời)

Gửi vào 19 August 2012 - 09:34 PM

Bạn thử down file lisp mà bạn đã up lên, rồi về thử load xem được không nhé?
  • 0

#10 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 19 August 2012 - 09:43 PM

có lẽ khi em up lên có gặp lỗi gì đó! em up lại
;;;=================================
;;;Chuong trinh chia dien tich pline kin
;;;Copyright by ssg - www.cadviet.com - February 2009
;;;=================================
 
;;;=================================
;;;DIALOG FUNCTIONS
;;;=================================
(defun begin_dialog(DiaFile DiaName)
(setq i (load_dialog DiaFile))
(if (not (new_dialog DiaName i)) (exit))
(action_tile "cancel" "(done_dialog) (command \"regen\") (exit)")
)
;;;-------------------------------------------------------------
(defun end_dialog()
(start_dialog) (unload_dialog i)
)
;;;-------------------------------------------------------------
(defun set_list(MyTile MyList MyVal / j x)
(start_list MyTile)
	(setq j 0)
	(while (setq x (nth j MyList))
(add_list x)
(setq j (1+ j))
	)
(end_list)
(set_tile MyTile MyVal)
)
;;;-------------------------------------------------------------
 
;;;=================================
;;;PUBLIC FUNCTIONS
;;;=================================
(defun GetMid (p1 p2)
;;;Midpoint: p1, p2
	(polar p1 (angle p1 p2) (/ (distance p1 p2) 2))
)
;;;-------------------------------------------------------------
(defun ints (e1 e2 / ob1 ob2 V L1 L2)
;;;Intersections of e1, e2. Return LIST of points
;;;Thank Mr. Hoanh for this function!
(setq
	ob1 (vlax-ename->vla-object e1)
	ob2 (vlax-ename->vla-object e2)
)
(setq V (vlax-variant-value (vla-IntersectWith ob1 ob2 acExtendOtherEntity)))
(if (/= (vlax-safearray-get-u-bound V 1) -1)
	(progn
      	(setq L1 (vlax-safearray->list V) L2 nil)
      	(while L1
(setq L2 (append L2 (list (list (car L1) (cadr L1) (caddr L1)))))
(repeat 3 (setq L1 (cdr L1)))
      	)
	)
	(setq L2 nil)
)
  L2
)
;;;-------------------------------------------------------------
(defun getVert (e / i L)
;;;Return list of all vertex from pline e
(setq i 0 L nil)
(vl-load-com)
(repeat (fix (+ (vlax-curve-getEndParam e) 1))
	(setq L (append L (list (vlax-curve-getPointAtParam e i))))
	(setq i (1+ i))
)
L
)
;;;-------------------------------------------------------------
(defun sideP (p1 p2 e / p1n p2n)
;;;Check same side of 2 points by line e, return T or nil
(command "ucs" "n" "ob" e)
(setq
	p1n (trans p1 0 1)
	p2n (trans p2 0 1)
)
(command "ucs" "p")
(>= (* (cadr p1n) (cadr p2n)) 0)
)
;;;-------------------------------------------------------------
(defun wtxt (txt p / sty d h) ;;;Write txt on graphic screen, defaul setting
(setq
	sty (getvar "textstyle")
	d (tblsearch "style" sty)
	h (cdr (assoc 40 d))
)
(if (= h 0) (setq h (cdr (assoc 42 d))))
(entmake
	(list (cons 0 "TEXT") (cons 7 sty) (cons 1 txt) (cons 10 p) (cons 40 h) (assoc 41 d))
)
)
;;;-------------------------------------------------------------
(defun LastLoad( / K)
(setq K (strcat
	"HKEY_CURRENT_USER\\Software\\Microsoft\\Windows\\"
	"CurrentVersion\\Explorer\\ComDlg32\\OpenSaveMRU\\*"
))
(vl-registry-read K (substr (vl-registry-read K "MRUList") 1 1))
)
;;;-------------------------------------------------------------
(defun addspath(s) ;;;Add support file search path
(setenv "ACAD" (strcat (getenv "ACAD") ";" s))
)
;;;-------------------------------------------------------------
 
;;;=================================
;;;PRIVATE FUNCTIONS
;;;=================================
(defun area_DL (p)
;;;Get area. Specify by e0, e1, p
;;;Filtered vertex, same side with p
(setq Lf (ints e0 e1))
(foreach x L0
	(if (sideP x p e1) (setq Lf (append Lf (list x))))
)
;;;Convert to curve-param and sort
(setq Lpara nil)
(foreach x Lf
	(setq para (vlax-curve-getParamAtPoint e0 x))
	(setq Lpara (append Lpara (list para)))
)
(setq Lpara (vl-sort Lpara '<))
;;;Get area
(command ".area")
(foreach x Lpara (command (vlax-curve-getPointAtParam e0 x)))
(command "")
(setq S (getvar "area"))
)
;;;-------------------------------------------------------------
(defun move_slow (e ag dr) ;;;Move e by angle ag, step dr
(if (= song 1)
	(command "move" e "" (list 0 0) (polar (list 0 0) ag dr))
	(if (> dr 0)
    	(command "rotate" e "" pc "r" pC pM pN)
    	(command "rotate" e "" pc "r" pC pN pM)
	)
)
)
;;;-------------------------------------------------------------
(defun RunDL ()
(setvar "cmdecho" 0)
(setvar "osmode" 0)
(setq OK nil)
(while (not OK)
	(setq
 		Li (ints e0 e1)
 		i (- (length Li) 1)
 		pM (getMid (car Li) (nth i Li))
 		pN (polar pM ag tol)
 		St (area_DL pN)
	)
	(if (<= (* St flag) (* S1 flag))
 		(progn (setq flag (* flag -1)) (setq OK T))
 		(move_slow e1 ag (* flag tol))
	)
)
)
;;;-------------------------------------------------------------
(defun ActTyle()
(setq S1 (* S0 (atof $value)))
(set_tile "dientich" (rtos S1))
)
;;;-------------------------------------------------------------
(defun ActDientich()
(setq k (/ (atof $value) S0))
(set_tile "tyle" (rtos k))
)
;;;-------------------------------------------------------------
(defun theoTL()
(mode_tile "tyle" 0)
(mode_tile "dientich" 1)
)
;;;-------------------------------------------------------------
(defun theoDT()
(mode_tile "tyle" 1)
(mode_tile "dientich" 0)
)
;;;-------------------------------------------------------------
(defun SL_chiadat()
(setq
	byDT (atoi (get_tile "theodt"))
	byTL (atoi (get_tile "theotl"))
	S1 (atof (get_tile "dientich"))
	k (atof (get_tile "tyle"))
	Acc (atoi (get_tile "chinhxac"))
	Song (atoi (get_tile "song"))
	Ghi (atoi (get_tile "ghi"))
)
)
;;;-------------------------------------------------------------
(defun Dialog_chiadat()
(begin_dialog "chiadat.dcl" "chiadat")
(set_tile "tong" (strcat "Dien tich tong cong = " (rtos S0)))
(set_tile "theodt" (itoa byDT))
(set_tile "theotl" (itoa byTL))
(mode_tile "dientich" byTL)
(mode_tile "tyle" byDT)
(set_tile "dientich" (rtos S1))
(set_tile "tyle" (rtos k))
(set_list "chinhxac" AccList  (itoa Acc))
(set_tile "song" (itoa song))
(set_tile "quay" (itoa quay))
(set_tile "ghi" (itoa ghi))
(action_tile "theodt" "(theoDT)")
(action_tile "theotl" "(theoTL)")
(action_tile "tyle" "(ActTyle)")
(action_tile "dientich" "(ActDientich)")
(action_tile "accept" "(SL_chiadat) (done_dialog)")
(end_dialog)
)
;;;-------------------------------------------------------------
(defun GhiDT()
(wtxt (rtos S1) (getpoint "\nDiem chuan ghi dien tich chia:"))
(wtxt (rtos (- S0 S1)) (getpoint "\nDiem chuan ghi dien tich con lai:"))
)
;;;-------------------------------------------------------------
 
;;;=================================
;;;MAIN PROGRAM
;;;=================================
(defun C:DL (/ e0 e1 Li i di p0 k tol S0 p1 ag L0 OK Lf x
  	p Lpara para S oldos S00 flag pM pN St prec)
(vl-load-com)
;;;CHON PLINE VA DUONG CHIA
(setq e0 (car (entsel "\nChon 1 pline kin:")))
(redraw e0 3)
(setq
	e1 (car (entsel "\nChon duong chia, cat pline it nhat tai 2 diem:"))
	Li (ints e0 e1)
)
(redraw e1 3)
(if (< (length Li) 2) (progn (alert "\nKhong tim thay 2 giao diem!") (progn (command "regen") (exit))))
(setq
	i (- (length Li) 1)
	di (distance (car Li) (nth i Li))
	p0 (getpoint "\nPick 1 diem, ve phia can chia so voi duong chuan:")
)
;;;GOI DIALOG
(setq S0 (vlax-curve-getArea e0))
(if (not S1) (setq S1 (/ S0 2)))
(if (not byDT) (setq byDT 1))
(if (= byDT 1) (setq byTL 0) (setq byTL 1))
(if (not Acc) (setq Acc 4))
(if (not song) (setq song 1))
(if (= song 1) (setq quay 0) (setq quay 1))
(if (not ghi) (setq ghi 0))
(setq
	k (/ S1 S0)
	AccList (list "0" "0.0" "0.00" "0.000" "0.0000" "0.00000" "0.000000" "0.0000000" "0.00000000")
)
(Dialog_chiadat)
(command "regen")
;;;TINH TOAN
(if (= song 0) (setq pc (getpoint "\nChon diem co dinh:")))
(setq
	L0 (getVert e0) ;;;List of all vertex
	S00 (area_DL p0)
	St S00
	p1 (vlax-curve-getClosestPointTo e1 p0)
	ag (angle p1 p0)
	prec (expt 10.0 (- acc))
	oldos (getvar "osmode")
)
(cond
	((<= (abs (- S00 S1)) prec) (progn (alert "Duong chia da dung vi tri!") (command "regen") (exit)))
	((> S00 S1) (setq flag 1))
	((< S00 S1) (setq flag -1))
)
(setq tol (* di 0.01))
;;;RUN DIVIDE LAND
(while (> (abs (- St S1)) prec) (runDL) (setq tol (* 0.1 tol)))
(alert "FINISH!")
;;;GHI DIEN TICH
(if (= ghi 1) (GhiDT))
;;;KET THUC
(setvar "cmdecho" 1)
(setvar "osmode" oldos)
(command "regen")
(princ)
)
;;;=================================
;;;Add support file search path
(if (not (findfile "Chiadat.lsp")) (addspath (vl-filename-directory (LastLoad))))
;;;=================================
EM KHÔNG THÊM ĐƯỢC VÀO THẺ CÓ CODE TIẾP NÊN EM COPY TIẾP FILE.DCL VÀO ĐÂY LUÔN:
chiadat :dialog {label = "Chia dien tich Polyline";
spacer;
:text {key= "tong";alignment= centered;}
spacer;
:boxed_row {label= "Chon 1 trong 2 cach chia";
:column{children_fixed_width = true;
:radio_button {label="Theo dien tich "; key = "theodt"; value = 1;}
:radio_button {label="Theo ty le "; key = "theotl";}
}
:column{
:edit_box {key = "dientich"; width = 20; fixed_width= true;}
:edit_box {key = "tyle"; width = 20; fixed_width= true;}
}
}
spacer; spacer;
:popup_list {label= "Do chinh xac"; key= "chinhxac"; width = 40; fixed_width= true;alignment= right;}
spacer; spacer;
:radio_row {label = "Phuong thuc di chuyen duong chia";
:radio_button {label = "Song song"; key = "song"; value = 1;}
:radio_button {label = "Quay quanh 1 diem"; key = "quay";}
spacer;
}
spacer; spacer;
:toggle {label = "Ghi dien tich sau khi chia"; key= "ghi";}
spacer; spacer;
:text{ label= "CHU Y"; alignment= centered;}
:text{ label= "Bam OK, duong chia se di chuyen. Hay cho mot chut..."; alignment= centered;}
spacer; spacer;
ok_cancel;
spacer; spacer;
:text{ label= "Copyright by ssg - www.cadviet.com - February, 2009"; alignment= centered;}
}
  • 0

#11 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 4,463 posts
Danh tiếng: 2128 (tuyệt vời)

Gửi vào 19 August 2012 - 10:17 PM

File VLX đây bạn. Đã test chạy tốt.
http://www.cadviet.c...9_chiadat_1.zip
  • 1

#12 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 20 August 2012 - 01:46 PM

cảm ơn anh Ha đã quan tâm! dạ còn cách nào để gộp trực tiếp vào file lisp không anh? thông cảm cho em vì em đòi hỏi nhiều quá
  • 0

#13 Tue_NV

Tue_NV

    KS V Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4,100 posts
Danh tiếng: 3621 (đỉnh cao)

Gửi vào 20 August 2012 - 02:24 PM

cảm ơn anh Ha đã quan tâm! dạ còn cách nào để gộp trực tiếp vào file lisp không anh? thông cảm cho em vì em đòi hỏi nhiều quá

Được chứ bạn, Bạn tham khảo Lisp này :
http://www.cadviet.c...?showtopic=9238
  • 1

#14 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 20 August 2012 - 09:29 PM

Được chứ bạn, Bạn tham khảo Lisp này :
http://www.cadviet.c...?showtopic=9238

em thêm như lisp này có đúng không, mà dùng không được anh nhỉ?
(setq dclres (list
"chiadat :dialog {label = "Chia dien tich Polyline";"
"spacer;"
":text {key= "tong";alignment= centered;}"
"spacer;"
":boxed_row {label= "Chon 1 trong 2 cach chia";"
	":column{children_fixed_width = true;"
   	" :radio_button {label="Theo dien tich           	"; key = "theodt"; value = 1;}"
   	" :radio_button {label="Theo ty le                  	"; key = "theotl";}"
   " }"
	":column{"
   	" :edit_box {key = "dientich"; width = 20; fixed_width= true;}"
   	" :edit_box {key = "tyle"; width = 20; fixed_width= true;}"
   " }"
"}"
"spacer; spacer;"
":popup_list {label= "Do chinh xac"; key= "chinhxac"; width = 40; fixed_width= true;alignment= right;}"
"spacer; spacer;"
":radio_row {label = "Phuong thuc di chuyen duong chia";"
   " :radio_button {label = "Song song"; key = "song"; value = 1;}"
   " :radio_button {label = "Quay quanh 1 diem"; key = "quay";}"
   " spacer;"
"}"
"spacer; spacer;"
":toggle {label = "Ghi dien tich sau khi chia"; key= "ghi";}"
"spacer; spacer;"
":text{ label= "CHU Y"; alignment= centered;}"
":text{ label= "Bam OK, duong chia se di chuyen. Hay cho mot chut..."; alignment= centered;}"
"spacer; spacer;"
"ok_cancel;"
"spacer; spacer;"
":text{ label= "Copyright by ssg - www.cadviet.com - February, 2009"; alignment= centered;}"
"}"
  	)
)
(princ)

  • 0

#15 Tue_NV

Tue_NV

    KS V Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4,100 posts
Danh tiếng: 3621 (đỉnh cao)

Gửi vào 20 August 2012 - 09:47 PM

em thêm như lisp này có đúng không, mà dùng không được anh nhỉ?

(setq dclres (list
"chiadat :dialog {label = "Chia dien tich Polyline";"
"spacer;"
":text {key= "tong";alignment= centered;}"
"spacer;"
":boxed_row {label= "Chon 1 trong 2 cach chia";"
	":column{children_fixed_width = true;"
   	" :radio_button {label="Theo dien tich       		"; key = "theodt"; value = 1;}"
   	" :radio_button {label="Theo ty le                  	"; key = "theotl";}"
   " }"
	":column{"
   	" :edit_box {key = "dientich"; width = 20; fixed_width= true;}"
   	" :edit_box {key = "tyle"; width = 20; fixed_width= true;}"
   " }"
"}"
"spacer; spacer;"
":popup_list {label= "Do chinh xac"; key= "chinhxac"; width = 40; fixed_width= true;alignment= right;}"
"spacer; spacer;"
":radio_row {label = "Phuong thuc di chuyen duong chia";"
   " :radio_button {label = "Song song"; key = "song"; value = 1;}"
   " :radio_button {label = "Quay quanh 1 diem"; key = "quay";}"
   " spacer;"
"}"
"spacer; spacer;"
":toggle {label = "Ghi dien tich sau khi chia"; key= "ghi";}"
"spacer; spacer;"
":text{ label= "CHU Y"; alignment= centered;}"
":text{ label= "Bam OK, duong chia se di chuyen. Hay cho mot chut..."; alignment= centered;}"
"spacer; spacer;"
"ok_cancel;"
"spacer; spacer;"
":text{ label= "Copyright by ssg - www.cadviet.com - February, 2009"; alignment= centered;}"
"}"
  	)
)
(princ)

Không đúng nên dùng không được rồi,
Mình nghĩ bạn nên bắt đầu từ những cái cơ bản bạn ạ, rồi có những cái không hiểu, bạn post bài hỏi thì bạn sẽ dễ tiếp thu hơn và bạn sẽ hiểu đúng và đầy đủ bản chất của vấn đề hơn
  • 0

#16 hoangkimoanh

hoangkimoanh

    biết vẽ polygon

  • Members
  • PipPip
  • 76 posts
Danh tiếng: 1 (bnh thường)

Gửi vào 20 August 2012 - 10:18 PM

Không đúng nên dùng không được rồi,
Mình nghĩ bạn nên bắt đầu từ những cái cơ bản bạn ạ, rồi có những cái không hiểu, bạn post bài hỏi thì bạn sẽ dễ tiếp thu hơn và bạn sẽ hiểu đúng và đầy đủ bản chất của vấn đề hơn

đúng là em chưa có căn bản nên dù sao không biết phải làm thế nào chó đúng. em mong anh có thể giúp em trực tiếp ở cái trên là cần thêm đoạn nào để hỗ trợ đọc lối cái .dcl trong lisp luôn được không a?!
  • 0

#17 Tue_NV

Tue_NV

    KS V Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4,100 posts
Danh tiếng: 3621 (đỉnh cao)

Gửi vào 21 August 2012 - 06:54 AM

đúng là em chưa có căn bản nên dù sao không biết phải làm thế nào chó đúng. em mong anh có thể giúp em trực tiếp ở cái trên là cần thêm đoạn nào để hỗ trợ đọc lối cái .dcl trong lisp luôn được không a?!


1. Mình dư sức viết cái này nhưng không có thời gian
2. Đã là căn bản thì bạn nên lựa chọn những ví dụ rất đơn giản để giải quyết. Gặp những vấn đề lớn hơn thì cũng dễ giải quyết hơn vì đã biết vấn đề căn bản
3. Bạn có thể tham khảo lại 1 số Lisp đã viết trên diễn đàn (gộp DCL vào Lisp), đường Link mình đưa là 1 ví dụ
  • 0

#18 nguyenbd1

nguyenbd1

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 212 posts
Danh tiếng: 7 (bnh thường)

Gửi vào 26 January 2014 - 10:38 AM

em có  2 file. 1 là lisp và 1 là dcl. mong ai rành về autoisp ghép 2 file này thành 1 file lisp dùm ạ. thank các anh em trước.http://www.cadviet.c...o_ghep_file.rar


  • 0

#19 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5,165 posts
Danh tiếng: 2358 (tuyệt vời)

Gửi vào 26 January 2014 - 06:24 PM

em có  2 file. 1 là lisp và 1 là dcl. mong ai rành về autoisp ghép 2 file này thành 1 file lisp dùm ạ. thank các anh em trước.http://www.cadviet.c...o_ghep_file.rar

 

 

=> Bạn có trách nhiệm với câu hỏi của mình một chút đi


  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#20 nguyenbd1

nguyenbd1

    biết lệnh chamfer

  • Members
  • PipPipPipPip
  • 212 posts
Danh tiếng: 7 (bnh thường)

Gửi vào 30 April 2014 - 12:29 PM

XIN chia se anh em 1 ứng dụng nhỏ trong autolisp.. để ro ràng tớ xin được trình bày như sau

dưới đây là hình vẽ đơn giản. để vẽ các lỗ taro m8. ban sẽ phải làm ntn.. ban sẽ phải vẽ ra 1 cái sau đó copy nó ra.. hay chuyên nghiệp hơn là bạn tạo 1 block.. 122369_1_2.jpg

không quá phức tạp. sau đây tớ xin trình bày 1 ứng dụng nhỏ của hộip thoại dcl.. cũng là ứng dung chèn block nhung dây là 1 thư viện block mà bạn có thể chỉnh sửa tuỳ thích122369_2_1.jpg

gio tớ xin làm 1 bài để các bạn thấy rõ 

day là hình như trên bản vẽ, và việc tếp theo là tao 4 lỗ taro nhu hình 1.  4 dinh cua hình cn bên trong là diem cần chèn lỗ ta ro122369_4_1.jpg

gõ lệnh G trên dòng command ( sau khi bạn đã load líp vào) sẽ xuất hiện 1 hộp thoại nhu hình trên. giờ hãy chọn 1 thuỳ chọn mà bạn muốn. ở dây là lỗ ta ro m8

122369_5_1.jpg

làm tương tự ta sẽ dược 4 lỗ

122369_1_2.jpg

để được như hình chiếu dứng tớ xin giới thiệu sau


  • 0